procurement/calls_for_bids/calls-for-bids-all
Failed

Last Run triggered by:
scheduled
Last Run started at:
2021-03-04 16:00:11.863102
Last Completion:
2021-03-04 16:06:52.667245
Last Success:
2021-03-03 16:04:19.536315

flow
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/site-packages/dataflows/base/datastream_processor.py", line 79, in _process
    self.datapackage = self.process_datapackage(self.datapackage)
  File "/usr/local/lib/python3.7/site-packages/dataflows/helpers/iterable_loader.py", line 112, in process_datapackage
    raise self.exc
  File "/usr/local/lib/python3.7/site-packages/dataflows/helpers/iterable_loader.py", line 60, in describe
    sample = list(itertools.islice(self.iterable, self.SAMPLE_SIZE))
  File "/usr/local/lib/python3.7/site-packages/dataflows/helpers/iterable_loader.py", line 89, in handle_iterable
    for x in self.iterable:
  File "/datapackage_pipelines_budgetkey/pipelines/procurement/calls_for_bids/class_action.py", line 36, in scrape
    if not link.startswith('http'):
AttributeError: 'NoneType' object has no attribute 'startswith'
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/site-packages/datapackage_pipelines/specs/../lib/flow.py", line 15, in <module>
    spew_flow(flow, ctx)
  File "/usr/local/lib/python3.7/site-packages/datapackage_pipelines/utilities/flow_utils.py", line 46, in spew_flow
    datastream = flow.datastream()
  File "/usr/local/lib/python3.7/site-packages/dataflows/base/flow.py", line 18, in datastream
    return self._chain(ds)._process()
  File "/usr/local/lib/python3.7/site-packages/dataflows/base/datastream_processor.py", line 75, in _process
    datastream = self.source._process()
  File "/usr/local/lib/python3.7/site-packages/dataflows/base/datastream_processor.py", line 75, in _process
    datastream = self.source._process()
  File "/usr/local/lib/python3.7/site-packages/dataflows/base/datastream_processor.py", line 75, in _process
    datastream = self.source._process()
  [Previous line repeated 1 more time]
  File "/usr/local/lib/python3.7/site-packages/dataflows/base/datastream_processor.py", line 86, in _process
    self.raise_exception(exception)
  File "/usr/local/lib/python3.7/site-packages/dataflows/base/datastream_processor.py", line 96, in raise_exception
    raise error from cause
dataflows.base.exceptions.ProcessorError: Errored in processor iterable_loader in position #1: 'NoneType' object has no attribute 'startswith'
DEBUG   :[chan 2] Max packet in: 32768 bytes
DEBUG   :[chan 2] Max packet out: 32768 bytes
DEBUG   :Secsh channel 2 opened.
DEBUG   :[chan 2] Sesch channel 2 request ok
DEBUG   :[chan 2] EOF received (2)
DEBUG   :[chan 2] EOF sent (2)
DEBUG   :Dropping user packet because connection is dead.

Pipeline ID: procurement/calls_for_bids/calls-for-bids-all

procurement/calls_for_bids/calls-for-bids-moh
Succeeded

Last Run triggered by:
scheduled
Last Run started at:
2021-03-04 01:39:51.056069
Last Completion:
2021-03-04 01:40:05.821587
Last Success:
2021-03-04 01:40:05.821587

Pipeline ID: procurement/calls_for_bids/calls-for-bids-moh

procurement/calls_for_bids/gov-publications
Succeeded

Last Run triggered by:
dirty-task-init
Last Run started at:
2021-02-09 07:22:13.510287
Last Completion:
2021-02-09 07:35:29.385765
Last Success:
2021-02-09 07:35:29.385765

Pipeline ID: procurement/calls_for_bids/gov-publications

procurement/calls_for_bids/gov-publications-ministry-of-immigration
Succeeded

Last Run triggered by:
dirty-task-init
Last Run started at:
2021-01-27 06:41:53.694579
Last Completion:
2021-01-27 06:42:01.591600
Last Success:
2021-01-27 06:42:01.591600

Pipeline ID: procurement/calls_for_bids/gov-publications-ministry-of-immigration

procurement/calls_for_bids/gov-publications2
Succeeded

Last Run triggered by:
dirty-task-init
Last Run started at:
2021-01-27 06:41:53.691330
Last Completion:
2021-01-27 06:42:07.538577
Last Success:
2021-01-27 06:42:07.538577

Pipeline ID: procurement/calls_for_bids/gov-publications2

procurement/calls_for_bids/jobiz-all
Succeeded

Last Run triggered by:
scheduled
Last Run started at:
2021-03-04 15:00:27.656423
Last Completion:
2021-03-04 15:00:30.971395
Last Success:
2021-03-04 15:00:30.971395

Pipeline ID: procurement/calls_for_bids/jobiz-all

procurement/calls_for_bids/jobiz-calls-for-bids
Succeeded

Last Run triggered by:
scheduled
Last Run started at:
2021-03-04 15:00:31.092556
Last Completion:
2021-03-04 15:00:33.480188
Last Success:
2021-03-04 15:00:33.480188

Pipeline ID: procurement/calls_for_bids/jobiz-calls-for-bids

procurement/calls_for_bids/jobiz-scraper
Succeeded

Last Run triggered by:
scheduled
Last Run started at:
2021-03-04 15:00:12.910687
Last Completion:
2021-03-04 15:00:27.519640
Last Success:
2021-03-04 15:00:27.519640

Pipeline ID: procurement/calls_for_bids/jobiz-scraper

procurement/calls_for_bids/calls-for-bids-all
Failed

Last Run triggered by:
scheduled
Last Run started at:
2021-03-04 16:00:11.863102
Last Completion:
2021-03-04 16:06:52.667245
Last Success:
2021-03-03 16:04:19.536315

flow
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/site-packages/dataflows/base/datastream_processor.py", line 79, in _process
    self.datapackage = self.process_datapackage(self.datapackage)
  File "/usr/local/lib/python3.7/site-packages/dataflows/helpers/iterable_loader.py", line 112, in process_datapackage
    raise self.exc
  File "/usr/local/lib/python3.7/site-packages/dataflows/helpers/iterable_loader.py", line 60, in describe
    sample = list(itertools.islice(self.iterable, self.SAMPLE_SIZE))
  File "/usr/local/lib/python3.7/site-packages/dataflows/helpers/iterable_loader.py", line 89, in handle_iterable
    for x in self.iterable:
  File "/datapackage_pipelines_budgetkey/pipelines/procurement/calls_for_bids/class_action.py", line 36, in scrape
    if not link.startswith('http'):
AttributeError: 'NoneType' object has no attribute 'startswith'
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/site-packages/datapackage_pipelines/specs/../lib/flow.py", line 15, in <module>
    spew_flow(flow, ctx)
  File "/usr/local/lib/python3.7/site-packages/datapackage_pipelines/utilities/flow_utils.py", line 46, in spew_flow
    datastream = flow.datastream()
  File "/usr/local/lib/python3.7/site-packages/dataflows/base/flow.py", line 18, in datastream
    return self._chain(ds)._process()
  File "/usr/local/lib/python3.7/site-packages/dataflows/base/datastream_processor.py", line 75, in _process
    datastream = self.source._process()
  File "/usr/local/lib/python3.7/site-packages/dataflows/base/datastream_processor.py", line 75, in _process
    datastream = self.source._process()
  File "/usr/local/lib/python3.7/site-packages/dataflows/base/datastream_processor.py", line 75, in _process
    datastream = self.source._process()
  [Previous line repeated 1 more time]
  File "/usr/local/lib/python3.7/site-packages/dataflows/base/datastream_processor.py", line 86, in _process
    self.raise_exception(exception)
  File "/usr/local/lib/python3.7/site-packages/dataflows/base/datastream_processor.py", line 96, in raise_exception
    raise error from cause
dataflows.base.exceptions.ProcessorError: Errored in processor iterable_loader in position #1: 'NoneType' object has no attribute 'startswith'
DEBUG   :[chan 2] Max packet in: 32768 bytes
DEBUG   :[chan 2] Max packet out: 32768 bytes
DEBUG   :Secsh channel 2 opened.
DEBUG   :[chan 2] Sesch channel 2 request ok
DEBUG   :[chan 2] EOF received (2)
DEBUG   :[chan 2] EOF sent (2)
DEBUG   :Dropping user packet because connection is dead.

Pipeline ID: procurement/calls_for_bids/calls-for-bids-all

procurement/calls_for_bids/calls-for-bids-moh
Succeeded

Last Run triggered by:
scheduled
Last Run started at:
2021-03-04 01:39:51.056069
Last Completion:
2021-03-04 01:40:05.821587
Last Success:
2021-03-04 01:40:05.821587

Pipeline ID: procurement/calls_for_bids/calls-for-bids-moh

procurement/calls_for_bids/gov-publications
Succeeded

Last Run triggered by:
dirty-task-init
Last Run started at:
2021-02-09 07:22:13.510287
Last Completion:
2021-02-09 07:35:29.385765
Last Success:
2021-02-09 07:35:29.385765

Pipeline ID: procurement/calls_for_bids/gov-publications

procurement/calls_for_bids/gov-publications-ministry-of-immigration
Succeeded

Last Run triggered by:
dirty-task-init
Last Run started at:
2021-01-27 06:41:53.694579
Last Completion:
2021-01-27 06:42:01.591600
Last Success:
2021-01-27 06:42:01.591600

Pipeline ID: procurement/calls_for_bids/gov-publications-ministry-of-immigration

procurement/calls_for_bids/gov-publications2
Succeeded

Last Run triggered by:
dirty-task-init
Last Run started at:
2021-01-27 06:41:53.691330
Last Completion:
2021-01-27 06:42:07.538577
Last Success:
2021-01-27 06:42:07.538577

Pipeline ID: procurement/calls_for_bids/gov-publications2

procurement/calls_for_bids/jobiz-all
Succeeded

Last Run triggered by:
scheduled
Last Run started at:
2021-03-04 15:00:27.656423
Last Completion:
2021-03-04 15:00:30.971395
Last Success:
2021-03-04 15:00:30.971395

Pipeline ID: procurement/calls_for_bids/jobiz-all

procurement/calls_for_bids/jobiz-calls-for-bids
Succeeded

Last Run triggered by:
scheduled
Last Run started at:
2021-03-04 15:00:31.092556
Last Completion:
2021-03-04 15:00:33.480188
Last Success:
2021-03-04 15:00:33.480188

Pipeline ID: procurement/calls_for_bids/jobiz-calls-for-bids

procurement/calls_for_bids/jobiz-scraper
Succeeded

Last Run triggered by:
scheduled
Last Run started at:
2021-03-04 15:00:12.910687
Last Completion:
2021-03-04 15:00:27.519640
Last Success:
2021-03-04 15:00:27.519640

Pipeline ID: procurement/calls_for_bids/jobiz-scraper